--
-- Copyright 2012 Aaron MacDonald
--
-- Licensed under the Apache License, Version 2.0 (the "License");
-- you may not use this file except in compliance with the License.
-- You may obtain a copy of the License at
--
--     http://www.apache.org/licenses/LICENSE-2.0
--
-- Unless required by applicable law or agreed to in writing, software
-- distributed under the License is distributed on an "AS IS" BASIS,
-- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
-- implied.
-- See the License for the specific language governing permissions and
-- limitations under the License.
--

local Constants = {
    FPS = 60,
    SECONDS_PER_FRAME = 1 / 60,

    TILE_HALF_SIZE = 32,
    TILE_SIZE = 64,

    RESOURCES_PATH = 'resources/',
    GRAPHICS_PATH = 'resources/graphics',
    SOUND_PATH = 'resources/sounds',

    DEFAULT_IMG_TYPE = 'png',
    DEFAULT_SOUND_TYPE = 'ogg',

    DEFAULT_FONT = 'resources/fonts/CommodoreRoundedv1-1.ttf',

    MAX_DOORS = 4, -- Red, Yellow, Green, Blue

    DOOR_COLOURS = {
        {255,   0,   0},
        {255, 255,   0},
        {  0, 255,   0},
        {  0, 255, 255}
    },

    MIN_PHYS_SIZE = 6,

    PHYS_CAT_DEFAULT = 1,
    PHYS_CAT_CHASM = 2,
    PHYS_CAT_ACTOR = 3,
    PHYS_CAT_BULLET = 4,

    STATE_TITLE = 'title',
    STATE_LEVEL_WARP = 'warp',
    STATE_GAME = 'game',

    DIAGONAL_BASE_SPEED = 1 / math.sqrt(2)
}

return Constants