--
-- Copyright 2012 Aaron MacDonald
--
-- Licensed under the Apache License, Version 2.0 (the "License");
-- you may not use this file except in compliance with the License.
-- You may obtain a copy of the License at
--
--     http://www.apache.org/licenses/LICENSE-2.0
--
-- Unless required by applicable law or agreed to in writing, software
-- distributed under the License is distributed on an "AS IS" BASIS,
-- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
-- implied.
-- See the License for the specific language governing permissions and
-- limitations under the License.
--

local ActorData = {
    player = {
        sprite = {
            y = 0,
            width = 52,
            height = 96
        },

        speed = 500,
        health = 64,
        damage = 1,

        explosion_colours = {
            255,   0, 255, 255,
              0,   0, 255, 235,
              0, 255, 255, 215,
              0, 255,   0, 195,
            255, 255,   0, 175,
            255, 128,   0, 155,
            255,   0,   0, 135
        },

        shoot_delay = 10,
        bullet_speed = 700,
        bullet_colours = {
            {255,   0,   0, 255},
            {255, 128,   0, 255},
            {255, 255,   0, 255},
            {  0, 255,   0, 255},
            {  0, 255, 255, 255},
            {  0,   0, 255, 255},
            {255,   0, 255, 255}
        },
        bullet_explosion_colours = {
            255,   0,   0, 255,
            255, 128,   0, 235,
            255, 255,   0, 215,
              0, 255,   0, 195,
              0, 255, 255, 175,
              0,   0, 255, 155,
            255,   0, 255, 135
        },

        force_topmost_shoot_y = true, -- Don't ask...

        shoot_sound = 'player_shoot_normal',
        explosive_shoot_sound = 'player_shoot_explosive',
        triple_shoot_sound = 'player_shoot_triple',
        explosive_triple_shoot_sound
          = 'player_explosive_triple_shoot',
        pain_sound = 'player_pain',
        death_sound = 'player_death',

        walk_sound = 'player_walk'
    },

    gridbug = {
        sprite = {
            y = 96,
            width = 64,
            height = 36
        },

        explosion_colours = {
            0, 255,   0, 255,
            0, 255, 128, 135
        },

        speed = 550,
        health = 1,
        damage = 1,

        attack_sound = 'gridbug_attack',
        death_sound = 'gridbug_death',

        walk_sound = 'gridbug_walk'
    },

    bot = {
        sprite = {
            y = 132,
            width = 64,
            height = 70
        },

        explosion_colours = {
            255, 255, 255, 255,
            128, 192, 255, 135
        },

        speed = 350,
        health = 1,
        damage = 1,

        shoot_delay = 60,
        bullet_speed = 450,
        bullet_colours = {
            {255, 255, 0, 255},
            {  0, 255, 0, 255}
        },
        bullet_explosion_colours = {
            255, 255, 0, 255,
              0, 255, 0, 135
        },

        shoot_sound = 'bot_shoot',
        attack_sound = 'bot_attack',
        death_sound = 'bot_death',

        walk_sound = 'bot_walk'
    },

    troll = {
        sprite = {
            y = 202,
            width = 64,
            height = 70
        },

        explosion_colours = {
            255, 255, 0, 255,
            255, 128, 0, 135
        },

        speed = 200,
        health = 2,
        damage = 2,

        attack_sound = 'troll_attack',
        pain_sound = 'troll_pain',
        death_sound = 'troll_death',

        walk_sound = 'troll_walk'
    },

    invader = {
        sprite = {
            y = 272,
            width = 56,
            height = 48
        },

        explosion_colours = {
            255, 0,   0, 255,
            128, 0, 255, 135
        },

        speed = 450,
        health = 1,
        damage = 1,

        shoot_delay = 60,
        bullet_speed = 550,
        bullet_colours = {
            {  0, 64, 255, 255},
            {128, 64, 255, 255}
        },
        bullet_explosion_colours = {
              0, 64, 255, 255,
            128, 64, 255, 135
        },

        flies = true,

        shoot_sound = 'invader_shoot',
        attack_sound = 'invader_attack',
        death_sound = 'invader_death'
    }
}

return ActorData