--
-- Copyright 2012 Aaron MacDonald
--
-- Licensed under the Apache License, Version 2.0 (the "License");
-- you may not use this file except in compliance with the License.
-- You may obtain a copy of the License at
--
--     http://www.apache.org/licenses/LICENSE-2.0
--
-- Unless required by applicable law or agreed to in writing, software
-- distributed under the License is distributed on an "AS IS" BASIS,
-- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
-- implied.
-- See the License for the specific language governing permissions and
-- limitations under the License.
--

local Random = {}

----------------------------------------------------------------------

local function init(seed, debug)
    if not seed then
        seed = os.time()
    end

    math.randomseed( seed )
    math.random()
    math.random()
    math.random()
end
Random.init = init

local function select_from_array(arr)
    local i = math.random(#arr)
    return arr[i], i
end
Random.select_from_array = select_from_array

local function remove_from_array(arr)
    local i = math.random(#arr)
    local result = arr[i]
    table.remove(arr, i)

    return result
end
Random.remove_from_array = remove_from_array

----------------------------------------------------------------------

return Random