--
-- Copyright 2012 Aaron MacDonald
--
-- Licensed under the Apache License, Version 2.0 (the "License");
-- you may not use this file except in compliance with the License.
-- You may obtain a copy of the License at
--
--     http://www.apache.org/licenses/LICENSE-2.0
--
-- Unless required by applicable law or agreed to in writing, software
-- distributed under the License is distributed on an "AS IS" BASIS,
-- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
-- implied.
-- See the License for the specific language governing permissions and
-- limitations under the License.
--

local ScreenManager = {}

local Settings = require 'settings'

local BASE_SCREEN_SIZE = Settings.DEFAULTS.screen_height
ScreenManager.BASE_SCREEN_SIZE = BASE_SCREEN_SIZE

----------------------------------------------------------------------

local function scale_screen()
    local size = math.min(
        love.graphics.getWidth(), love.graphics.getHeight()
    )

    love.graphics.scale(size / BASE_SCREEN_SIZE)
end
ScreenManager.scale_screen = scale_screen

local function get_scale()
    local size = math.min(
        love.graphics.getWidth(), love.graphics.getHeight()
    )

    return BASE_SCREEN_SIZE / size
end
ScreenManager.get_scale = get_scale

local function dimensions()
    local s = get_scale()

    return love.graphics.getWidth() * s, love.graphics.getHeight() * s
end
ScreenManager.dimensions = dimensions

----------------------------------------------------------------------

return ScreenManager